org.aspectj.internal.lang.reflect

## Class DeclareSoftImpl

- java.lang.Object
- - org.aspectj.internal.lang.reflect.DeclareSoftImpl

All Implemented Interfaces:
  DeclareSoft

    public class DeclareSoftImpl
    extends Object
    implements DeclareSoft

Author:
  colyer

### Constructor Summary

Constructors
Constructor and Description
`DeclareSoftImpl(AjType<?> declaringType, String pcut, String exceptionTypeName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AjType` `getDeclaringType()`
`PointcutExpression` `getPointcutExpression()`
`AjType` `getSoftenedExceptionType()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeclareSoftImpl

    public DeclareSoftImpl(AjType<?> declaringType,
                           String pcut,
                           String exceptionTypeName)

### Method Detail

#### getDeclaringType

    public AjType getDeclaringType()

Specified by:
  `getDeclaringType` in interface `DeclareSoft`
Returns:
  the aspect that declared this member

#### getSoftenedExceptionType

    public AjType getSoftenedExceptionType()
                                    throws ClassNotFoundException

Specified by:
  `getSoftenedExceptionType` in interface `DeclareSoft`
Returns:
  the softened exception type
Throws:
  `ClassNotFoundException` - if exception type cannot be found

#### getPointcutExpression

    public PointcutExpression getPointcutExpression()

Specified by:
  `getPointcutExpression` in interface `DeclareSoft`
Returns:
  the pointcut determining the join points at which the exception is to be softened.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`